Bug 73868 - Context Menu on Text Flagged by Grammar Checker has no "Ignore All", and has "Ignore" that means "Ignore All"
Summary: Context Menu on Text Flagged by Grammar Checker has no "Ignore All", and has ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: All All
: medium normal
Assignee: László Németh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 56954
  Show dependency treegraph
 
Reported: 2014-01-21 10:19 UTC by Kumāra
Modified: 2014-01-28 07:36 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kumāra 2014-01-21 10:19:19 UTC
When I right-click on a string of text flagged by the grammar checker, the context menu shows "Ignore", but no "Ignore all". Actually, the "Ignore" means "Ignore All".

So, there are 2 problems here:
1. BUG: "Ignore all" misleadingly labelled as "Ignore".
2. INCOMPLETENESS: No way in the context menu to ignore just that instance. (The "Ignore" means "Ignore all".)

We should find, as in the the spelling and grammar dialog box, "Ignore once" and "Ignore all" in the context menu.
Comment 1 László Németh 2014-01-23 12:24:06 UTC
This was the result of my incomplete solution in Bug 56954. Thanks for your report (the problem also reported by Daniel Naber). It seems, also simple ignore has got right functionality in paragraph level, so I will add both Ignore and Ignore all options to the local menu.
Comment 2 Kumāra 2014-01-24 04:44:51 UTC
Thanks for the quick action, László. I appreciate it.
Comment 3 László Németh 2014-01-24 11:38:22 UTC
Fixed, also the old layout problem (missing refresh with Ignore Rule), both in the local menu and the Spelling & Grammar dialog.

Kumāra: many thanks for your words and your report again.
Comment 4 Kumāra 2014-01-25 03:56:35 UTC
Wow... That's quick. You mean the next release would be free of the bug?
Comment 5 László Németh 2014-01-28 07:36:53 UTC
(In reply to comment #4)
Kumāra: Thanks. Yes, it will be in the next version, 4.3, also you can test it with the daily builds, too.